Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[overlay] banshee
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
BlackBelt
Guru
Guru


Joined: 27 Nov 2004
Posts: 369
Location: Messina/Pisa

PostPosted: Thu May 29, 2008 4:23 pm    Post subject: [overlay] banshee Reply with quote

I m try to upgrade banshee at 0.99.2 release.
Compiling i ve the follow issue:

Code:
Nabucodonosor banshee # ebuild banshee-0.99.2.ebuild merge
Disabling noauto in features... merge disables it. (qmerge doesn't)
 * banshee-1-0.99.2 RMD160 SHA1 SHA256 size ;-) ...                      [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * checking banshee-1-0.99.2 ;-) ...                                     [ ok ]
>>> Checking banshee-1-0.99.2's mtime...
>>> WORKDIR is up-to-date, keeping...
>>> Compiling source in /var/tmp/portage/media-sound/banshee-0.99.2/work ...
 *
 * ERROR: media-sound/banshee-0.99.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2655:  Called gnome2_src_configure
 *             environment, line 2034:  Called econf '--disable-daap' '--disable-docs' '--enable-external-boo' '--enable-external-taglib-sharp' '--disable-gstreamer-plugins-check' '--enable-external-ndesk-dbus' '--disable-ipod' '--disable-njb' '--disable-mtp' '--disable-daap' '--disable-docs' '--enable-external-boo' '--enable-external-taglib-sharp' '--disable-gstreamer-plugins-check' '--enable-external-ndesk-dbus' '--disable-ipod' '--disable-njb' '--disable-mtp'
 *               ebuild.sh, line  531:  Called die
 * The specific snippet of code:
 *         die "no configure script found"
 *  The die message:
 *   no configure script found
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/banshee-0.99.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/banshee-0.99.2/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *

how could I fix?
thanks
_________________
"Sulla strada per l'inferno c'e' sempre un sacco di gente,
ma è comunque una via che si percorre in solitudine."

Charles Bukowski
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4407

PostPosted: Thu May 29, 2008 4:44 pm    Post subject: Reply with quote

What exactly did you do?
What Overlay contains this ebuild?
Please be a little bit more specific ;)

Franz

//BTW:
Always I read about Banshee i doen't think of this being a Musicplayer, too...
USE="Chaparral" emerge Banshee
:D
Back to top
View user's profile Send private message
BlackBelt
Guru
Guru


Joined: 27 Nov 2004
Posts: 369
Location: Messina/Pisa

PostPosted: Thu May 29, 2008 5:00 pm    Post subject: Reply with quote

franzf wrote:
What exactly did you do?
What Overlay contains this ebuild?
Please be a little bit more specific ;)

Franz

//BTW:
Always I read about Banshee i doen't think of this being a Musicplayer, too...
USE="Chaparral" emerge Banshee
:D


I have my banshee made at home ebuild...

Code:
GCONF_DEBUG=no

inherit eutils gnome2 mono

GVER=0.10.3

DESCRIPTION="Import, organize, play, and share your music using simple and powerful interface."
HOMEPAGE="http://banshee-project.org"
SRC_URI="http://banshee-project.org/files/${PN}/${P}.tar.bz2"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="aac encode ipod flac mad mtp njb vorbis zeroconf"

RDEPEND=">=dev-lang/mono-1.2.2
   >=dev-dotnet/gtk-sharp-2.10
   >=dev-dotnet/gnomevfs-sharp-2.8
   >=dev-dotnet/gconf-sharp-2.8
   >=media-libs/gst-plugins-bad-${GVER}
   >=media-libs/gst-plugins-good-${GVER}
   >=media-libs/gst-plugins-ugly-${GVER}
   >=media-plugins/gst-plugins-alsa-${GVER}
   >=media-plugins/gst-plugins-gnomevfs-${GVER}
   >=media-plugins/gst-plugins-gconf-${GVER}
   encode? ( >=media-plugins/gst-plugins-lame-${GVER}
      >=media-plugins/gst-plugins-taglib-${GVER} )
   mad? ( >=media-plugins/gst-plugins-mad-${GVER} )
   vorbis? ( >=media-plugins/gst-plugins-ogg-${GVER}
      >=media-plugins/gst-plugins-vorbis-${GVER} )
   flac? ( >=media-plugins/gst-plugins-flac-${GVER} )
   aac? ( >=media-plugins/gst-plugins-faad-${GVER} )
   || (
      >=media-plugins/gst-plugins-cdparanoia-${GVER}
      >=media-plugins/gst-plugins-cdio-${GVER}
   )
   >=dev-dotnet/ndesk-dbus-0.5
   >=dev-dotnet/ndesk-dbus-glib-0.3
   =media-libs/musicbrainz-2*
   njb? ( >=dev-dotnet/njb-sharp-0.3 )
   zeroconf? ( >=dev-dotnet/mono-zeroconf-0.7.3 )
   >=gnome-base/libgnomeui-2
   >=gnome-base/libbonobo-2
   >=gnome-base/gnome-desktop-2
   ipod? ( >=dev-dotnet/ipod-sharp-0.8
      >=media-plugins/gst-plugins-faac-${GVER} )
   >=sys-apps/hal-0.5.6
   >=dev-lang/boo-0.8.1
   >=dev-db/sqlite-3.4
   >=gnome-extra/nautilus-cd-burner-2.12
   mtp? ( >=media-libs/libmtp-0.2.1 )
   dev-dotnet/taglib-sharp
   dev-dotnet/dbus-glib-sharp
   dev-dotnet/mono-addins
   >=media-libs/libmtp-0.2.6
   app-cdr/brasero
   dev-dotnet/podsleuth
   "
DEPEND="${RDEPEND}
   dev-util/pkgconfig"

DOCS="AUTHORS ChangeLog HACKING NEWS README"

pkg_setup() {
   # --enable-daap also disables.
   use zeroconf || G2CONF="${G2CONF} --disable-daap"

   # --disable-gstreamer-plugins-check because it breaks detecting
   # decodebin when portage temp directory is on NFS share.
   G2CONF="${G2CONF} --disable-docs
      --enable-external-boo
      --enable-external-taglib-sharp
      --disable-gstreamer-plugins-check
      --enable-external-ndesk-dbus
      $(use_enable ipod) $(use_enable njb)
      $(use_enable mtp)"
   # TODO. missing USE karma, needs sharp-karma.
}

src_unpack() {
   unpack ${A}
   cd "${S}"
   # Fix test suite.
   echo src/Plugins/Banshee.Plugins.LastFM/Resources/lastfm.glade >> po/POTFILES.skip
   echo src/Plugins/Banshee.Plugins.LastFM/banshee-plugin-lastfm.schemas.in >> po/POTFILES.skip
}

src_compile() {
   addpredict /root/.gnome2
   addpredict /root/.gconf
   addpredict /root/.gconfd
   gnome2_src_configure
   emake -j1 || "emake failed."
}

src_install() {
   gnome2_src_install
   use ipod || dodir /usr/$(get_libdir)/banshee/Banshee.Dap
}


I have modify the 0.13.2-r1 ebuild in portage...
what's wrong?
_________________
"Sulla strada per l'inferno c'e' sempre un sacco di gente,
ma è comunque una via che si percorre in solitudine."

Charles Bukowski
Back to top
View user's profile Send private message
sezaru
n00b
n00b


Joined: 10 Aug 2006
Posts: 47

PostPosted: Sun Jun 01, 2008 6:30 am    Post subject: Reply with quote

Try use this ebuild for the RC1 of banshee
/usr/local/portage/media-sound/banshee/banshee-0.99.3.ebuild
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/banshee/banshee-0.13.2.ebuild,v 1.5 2008/02/29 12:58:57 drac Exp $

GCONF_DEBUG=no

inherit eutils gnome2 mono

GVER=0.10.3
MYP=${PN}-1-${PV}
DESCRIPTION="Import, organize, play, and share your music using simple and powerful interface."
HOMEPAGE="http://banshee-project.org"
SRC_URI="http://banshee-project.org/files/${PN}/${MYP}.tar.gz"
S="${WORKDIR}/${MYP}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="aac encode ipod flac mad mtp njb vorbis zeroconf"

RDEPEND=">=dev-lang/mono-1.2
   >=dev-dotnet/gtk-sharp-2.10
   >=dev-dotnet/gnomevfs-sharp-2.8
   >=media-libs/gst-plugins-bad-${GVER}
   >=media-libs/gst-plugins-good-${GVER}
   >=media-libs/gst-plugins-ugly-${GVER}
   >=media-plugins/gst-plugins-alsa-${GVER}
   >=media-plugins/gst-plugins-gnomevfs-${GVER}
   >=media-plugins/gst-plugins-gconf-${GVER}
   encode? ( >=media-plugins/gst-plugins-lame-${GVER}
      >=media-plugins/gst-plugins-taglib-${GVER} )
   mad? ( >=media-plugins/gst-plugins-mad-${GVER} )
   vorbis? ( >=media-plugins/gst-plugins-ogg-${GVER}
      >=media-plugins/gst-plugins-vorbis-${GVER} )
   flac? ( >=media-plugins/gst-plugins-flac-${GVER} )
   aac? ( >=media-plugins/gst-plugins-faad-${GVER} )
   >=media-plugins/gst-plugins-cdparanoia-${GVER}
   =media-libs/musicbrainz-2*
   njb? ( >=dev-dotnet/njb-sharp-0.3 )
   zeroconf? ( >=dev-dotnet/mono-zeroconf-0.7.2 )
   >=gnome-base/libgnomeui-2
   >=gnome-base/libbonobo-2
   >=gnome-base/gnome-desktop-2
   ipod? ( >=dev-dotnet/ipod-sharp-0.8
      >=media-plugins/gst-plugins-faac-${GVER} )
   >=sys-apps/hal-0.5.6
   >=dev-lang/boo-0.7.6
   >=dev-db/sqlite-3
   >=gnome-extra/nautilus-cd-burner-2.12
   mtp? ( >=media-libs/libmtp-0.2.1 )
   dev-dotnet/taglib-sharp
   dev-dotnet/dbus-glib-sharp"
DEPEND="${RDEPEND}
   dev-util/pkgconfig"

DOCS="AUTHORS ChangeLog HACKING NEWS README"

pkg_setup() {
   # --enable-daap also disables.
   use zeroconf || G2CONF="${G2CONF} --disable-daap"
   # --disable-gstreamer-plugins-check because it breaks detecting
   # decodebin when portage temp directory is on NFS share.
   G2CONF="${G2CONF} --disable-docs
      --enable-external-boo
      --enable-external-taglib-sharp
      --disable-gstreamer-plugins-check
      --enable-external-ndesk-dbus
      --enable-daap
      --enable-podcast
      $(use_enable ipod) $(use_enable njb)
      $(use_enable mtp)"
   # TODO. missing USE karma, needs sharp-karma.
}

src_unpack() {
   unpack ${A}
   cd "${S}"
   # Fix test suite.
   echo src/Plugins/Banshee.Plugins.LastFM/Resources/lastfm.glade >> po/POTFILES.skip
   echo src/Plugins/Banshee.Plugins.LastFM/banshee-plugin-lastfm.schemas.in >> po/POTFILES.skip
}

src_compile() {
   addpredict /root/.gnome2
   addpredict /root/.gconf
   addpredict /root/.gconfd
   gnome2_src_configure
   emake -j1 || "emake failed."
}

src_install() {
   gnome2_src_install
   use ipod || dodir /usr/$(get_libdir)/banshee/Banshee.Dap
}


Runs great here, but i can't enable the equalizer for some reason, and the dependencies are not all good, so if you know something please share here.
Back to top
View user's profile Send private message
forceflow2
Guru
Guru


Joined: 16 Apr 2003
Posts: 464
Location: South Carolina

PostPosted: Tue Jun 03, 2008 6:09 am    Post subject: Reply with quote

If you check out the Changelog, you can see various things regarding the equalizer.
http://svn.gnome.org/svn/banshee/trunk/banshee/ChangeLog
Short version: It's broken.

Also, if anyone wants an overlay, there's one here
git://gitorious.org/banshee-overlay/mainline.git

Heard about it from bgo, https://bugs.gentoo.org/show_bug.cgi?id=213485
_________________
That rank under my username doesn't mean I know everything, it just means I ask a lot of questions.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum